ImageMagick-7.0.9-6.x86_64 Errors on CentOS 7.6

Post any defects you find in the released or beta versions of the ImageMagick software here. Include the ImageMagick version, OS, and any command-line required to reproduce the problem. Got a patch for a bug? Post it here.
Locked
dwclogic
Posts: 7
Joined: 2019-11-25T15:29:07-07:00
Authentication code: 1152

ImageMagick-7.0.9-6.x86_64 Errors on CentOS 7.6

Post by dwclogic »

I have been getting errors since you posted this new version, fixing the Digest issues.

I have tried installing the dependancies manually but I believe there are still items you have not included in the build...

My installs after a fresh polling of CentOS 7.6:
sudo yum install -y libICE libXext libSM libXt libtiff
sudo yum install -y libgs libfonts libwebp librsvg2 libwmf

What's left:
[vagrant@LAMP4919 vhosts]$ sudo rpm -Uvh ImageMagick-libs-7.0.9-6.x86_64.rpm
error: Failed dependencies:
libHalf.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libIex.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libIexMath.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libIlmImf.so.7()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libIlmThread.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libImath.so.6()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
libfftw3.so.3()(64bit) is needed by ImageMagick-libs-7.0.9-6.x86_64
[vagrant@LAMP4919 vhosts]$ sudo rpm -Uvh ImageMagick-7.0.9-6.x86_64.rpm
error: Failed dependencies:
ImageMagick-libs(x86-64) = 7.0.9-6 is needed by ImageMagick-7.0.9-6.x86_64
libMagickCore-7.Q16HDRI.so.7()(64bit) is needed by ImageMagick-7.0.9-6.x86_64
libMagickWand-7.Q16HDRI.so.7()(64bit) is needed by ImageMagick-7.0.9-6.x86_64
libMagickWand-7.Q16HDRI.so.7(VERS_7.0)(64bit) is needed by ImageMagick-7.0.9-6.x86_64
libfftw3.so.3()(64bit) is needed by ImageMagick-7.0.9-6.x86_64


I was given a link to try building the item myself, and am about to go give that a try, but I've never created an RPM before.

dwclogic
Posts: 7
Joined: 2019-11-25T15:29:07-07:00
Authentication code: 1152

Re: ImageMagick-7.0.9-6.x86_64 Errors on CentOS 7.6

Post by dwclogic »

Here's what it took to install this on CentOS 7.6.

---------------------------------------------
Yum Dependancies added for Image Magick update.
---------------------------------------------
sudo yum update -y
sudo yum install -y libICE libXext libSM libXt libtiff
sudo yum install -y libgs libfonts libwebp librsvg2 libwmf fftw ilmbase

# Downloaded: http://mirror.centos.org/centos/7/os/x8 ... x86_64.rpm
sudo rpm -Uvh OpenEXR-libs-1.7.1-7.el7.x86_64.rpm
sudo rpm -Uvh ImageMagick-libs-7.0.9-6.x86_64.rpm
sudo rpm -Uvh ImageMagick-7.0.9-6.x86_64.rpm

YAY...
But you should really package that better, eh? :)

Still needs testing for issues though, happy Thanksgiving.
Last edited by dwclogic on 2019-11-27T16:58:42-07:00, edited 1 time in total.

User avatar
fmw42
Posts: 26383
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: ImageMagick-7.0.9-6.x86_64 Errors on CentOS 7.6

Post by fmw42 »

You might want to include ghostscript, libjpeg, libpng, fontconfig, freetype, xml. See https://imagemagick.org/download/delegates/

dwclogic
Posts: 7
Joined: 2019-11-25T15:29:07-07:00
Authentication code: 1152

Re: ImageMagick-7.0.9-6.x86_64 Errors on CentOS 7.6

Post by dwclogic »

Thumbs Up,

Those items you listed must have been added in my base lamp setup for using Vagrant,"bento/centos-7.6"

THANKS

Locked